\begin{tikzpicture}
	\node (S) at (0, 0) {$S$};
	\node[draw,circle] (dum1) at (-.7, -1.5) {};
	\node (A1) at (-.7, -2.3) {$A$};
	\node[draw,circle] (dum2) at (-.3, -3.5) {};
	\node (A2) at (-.3, -4.3) {$A$};

	\draw[decorate, decoration={snake, amplitude=.6mm}] (S) -- (dum1);
	\draw[-] (S) -- +(-6, -5.5) --node[below] {$u$} +(-5, -5.5) -- (dum1);
	\draw[-] (S) -- +(5, -5.5) --node[below] {$y$} +(3, -5.5) -- (dum1);
	\draw[-] (dum1) -- (A1);
	\draw[decorate, decoration={snake, amplitude=.6mm}] (A1) -- (dum2);
	\draw[-] (A1.west) -- +(-3.5, -3.2) --node[below] {$v$} +(-1.3, -3.2) -- (dum2);
	\draw[-] (A1.east) -- +(2.9, -3.2) --node[below] {$x$} +(1.9, -3.2) -- (dum2);
	\draw[-] (dum2) -- (A2);
	\draw[-] (A2.west) -- +(-1.2, -1.2) --node[below] {$w$} +(1.55, -1.2) -- (A2.east);
\end{tikzpicture}
